#!/bin/bash



VERSION='2023_'
RPI='RPI-Camera'
FILE='install_cam.zip'

RED='\033[1;31m'
GREEN='\033[1;32m'
YELLOW='\033[1;33m'
BLUE='\033[1;34m'
NC='\033[0m' # No Color



# Read the contents of /etc/os-release into variables
source /etc/os-release
OS=0
# Check if the variable $VERSION_CODENAME contains "buster"
if [[ "$VERSION_CODENAME" == "buster" ]]; then
  echo "Debian Buster (10)"
  OS=1
elif [[ "$VERSION_CODENAME" == "bullseye" ]]; then
  echo "Debian Bullseye (11)"
  echo -e $YELLOW "IMPORTANT: Please enable legacy camera support by executing:"
  echo -e $GREEN "sudo raspi-config"
  OS=2
elif [[ "$VERSION_CODENAME" == "bookworm" ]]; then
  echo "Debian BookWorm"
  sudo apt-get update
  sudo apt-get install systemd
  echo -e $YELLOW "IMPORTANT: Please enable legacy camera support by executing:"
  echo -e $GREEN "sudo raspi-config nonint do_legacy 0"
  read -p "press ENTER to continue"  
  OS=3
else
  echo "Unknown Debian version"
  OS=0
fi




echo -e $GREEN "Installing Drone Engage Package $VERSION on $RPI" $NC


#echo -e $YELLOW "install libboost" $NC
#sudo apt update 
#sudo apt install libboost-coroutine1.67.0



echo  -e $YELLOW "Unziping file $FILE" $NC

echo  -e $RED "Any previous installation will be deleted. Please backup first" $BLUE
while true; do
    read -p "Do you wish to install this program? " yn
    case $yn in
        [Yy]* ) break;;
        [Nn]* ) exit;;
        * ) echo "Please answer yes or no.";;
    esac
done
    
unzip -o $FILE -d ~/

pushd ~

sudo chmod +x ~/drone_engage/de_camera/de_camera.so



echo  -e $YELLOW "Creating Services" $NC

sudo systemctl stop de_camera.service 

sudo systemctl disable de_camera.service 

# Perform the find and replace operation using sed
# change file path from /home/pi to whatever $HOME
sed -i "s|/home/pi|$HOME|g" "./de_camera.service"


sudo mv ./de_camera.service  /lib/systemd/system/de_camera.service


sudo systemctl enable de_camera.service 

popd


echo  -e $YELLOW "Please setup JSON files" $NC
find  ~/drone_engage/de_camera/* -name "*.json"



